Hoşgeldin. Soru sormak veya cevaplamak için hemen üye ol.
0 oy
982 kez görüntülendi
ios development kategorisinde tarafından
iOS 7 ve üzeri çalışacak bir uygulama geliştirmem lazım. Ancak Xcode 8 içinde ne simulatör desteği var ne de deployment target. Anlamadım gitti. Yani geri dönüş mü yapacağız herşeyi silip?

1 cevap

+1 oy
tarafından
tarafından seçilmiş
 
En İyi Cevap

evet ne yazık ki xCode7 yüklemelisin. O da Sierra üzerinde çöküp duruyor.

tarafından

Şimdi benim merak ettiğim şu:
iOS 7 ve üzeri çalışacak uygulama yazmak isteyen kişiler nasıl bir yol izliyor kurulum aşamasında? Cihazlarında Yosemite mi var? Peki ama o zaman iOS 10 ne olacak. O zaman ikinci bir mac kurup ona da Sierra mı yüklüyor? Bir bilen izah eder mi ?

tarafından

maalesef evet. sierra zaten eski xCode versiyonlarında sorun çıkartıp duruyor. O nedenle yapılabilecek tek şey ayrı bir mac'e yosemite kurmak. ya da harici bir disk üzerine yosemite kurup boot etmek.

tarafından

Peki ios 7 yüklü gerçek bir cihaz temin etsem, Xcode 8 ile debug edebilir miyim uygulamaları?

tarafından

ios7 yüklü bir cihazda, xCode8'le kullanarak build etmeyi açıkçası hiç denemedim.
Ama stack'da biri bu konuyla ilgili testler yapmış.
Do Xcode 8 Swift 3 apps run on iOS 7 successfully?

tarafından

İnceledim. Evet genel olarak moral bozucu. Keşke biraz olsun developer dostu olsaydı şu Apple. Kestirip atıyorlar eski versiyonları. Halbuki çok az da olsa hâlâ ios 7 kullanan var yani.
Yani şimdi projedeki yükü bir hayal ediyorum:
1- Yosemite kur. Önce swift 2 ile çalış.
2- Sierra kur. Sonra git hepsini siwft 3'e çevir.
3- Sonra dön geriye ve sonra tekrar ileri sar.
akla zarar.
Sırf şu ızdıraptan kurtulmak için Xcode harici farklı bir IDE olsa ve bu sorunu çıkarmasa, hiç düşünmez hemen geçerdim.

...